<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";

	$datos = " Ingresa a obtener_inventario_tanques ";	
		insertarLog($datos,$id_aplicacion);


	$sql = "select ";
	$sql .= "e.id_estacion, ";
	$sql .= "e.nombre_comercial, ";
	$sql .= "cat.descripcion as tipo,";
	$sql .= "e.rfc,";
	$sql .= "e.numeroCRE, ";
	$sql .= "date_format(now(),'%Y-%m-%d %H:%i:%s') as fecha ";
	$sql .= "from ";
	$sql .= "estacion e ";
	$sql .= "left join cat_tipo_estacion cat on e.tipo=cat.tipo ";

	$sentencia = $conexion->prepare($sql);

	$sentencia->execute();

	$resultado = $sentencia->get_result();

	if($fila = $resultado->fetch_assoc())
	{
		$estacion= $fila;
	}

	$inventario["estacion"]=$estacion;

	$sql = "select ";
  	$sql .= "id_tanque, ";
    $sql .= "volumen, ";
  	$sql .= "capacidad_operativa-volumen por_llenar, ";
  	$sql .= "altura, ";
  	$sql .= "agua, ";
  	$sql .= "agua_altura, ";
  	$sql .= "temperatura, ";
  	$sql .= "descripcion ";
  	$sql .= "from ";
  	$sql .= "tanques ";

	$sentencia = $conexion->prepare($sql);

	$sentencia->execute();

	$resultado = $sentencia->get_result();

	$cont=0;
	$array= array();
	while($fila = $resultado->fetch_assoc())
	{
		$array[$cont] = $fila;
		$cont++;
	}

	$inventario["tanques"]=$array;

	$datos = " Termina proceso obtener_inventario_tanques ";	
		insertarLog($datos,$id_aplicacion);

	echo response(0,"",json_encode($inventario));


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}
	
?>